Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2106)
+++ palm/trunk/SOURCE/modules.f90	(revision 2107)
@@ -927,80 +1391,109 @@
  MODULE dvrp_variables
 
-     USE kinds
-
-    CHARACTER (LEN=10) ::  dvrp_output = 'rtsp', particle_color = 'none', &
-                           particle_dvrpsize = 'none'
-
-    CHARACTER (LEN=20), DIMENSION(10) ::  mode_dvrp = &
+    USE kinds
+
+    CHARACTER (LEN=10) ::  dvrp_output = 'rtsp'        !< 
+    CHARACTER (LEN=10) ::  particle_color = 'none'     !< 
+    CHARACTER (LEN=10) ::  particle_dvrpsize = 'none'  !< 
+
+    CHARACTER (LEN=20), DIMENSION(10) ::  mode_dvrp = &  !< 
                                      (/ ( '                    ', i9 = 1,10 ) /)
 
-    CHARACTER (LEN=80) ::  dvrp_directory = 'default',                    &
-                           dvrp_file      = 'default',                    &
-                           dvrp_host      = 'origin.rvs.uni-hannover.de', &
-                           dvrp_password  = '********',                   &
-                           dvrp_username  = ' '
-
-    INTEGER(iwp) ::  cluster_size = 1, dvrp_colortable_entries = 4,                 &
-                     dvrp_colortable_entries_prt = 22, islice_dvrp,                 &
-                     nx_dvrp, nxl_dvrp, nxr_dvrp, ny_dvrp, nyn_dvrp, nys_dvrp,      &
-                     nz_dvrp, pathlines_fadeintime = 5, pathlines_fadeouttime = 5,  &
-                     pathlines_linecount = 1000, pathlines_maxhistory = 40,         &
-                     pathlines_wavecount = 10, pathlines_wavetime = 50,             &
-                     vc_gradient_normals = 0, vc_mode = 0, vc_size_x = 2,           &
-                     vc_size_y = 2, vc_size_z = 2
-
-    INTEGER(iwp), DIMENSION(10) ::  slicer_position_dvrp
-
-    LOGICAL ::  cyclic_dvrp = .FALSE., dvrp_overlap, dvrp_total_overlap, &
-                local_dvrserver_running, lock_steering_update = .FALSE., &
-                use_seperate_pe_for_dvrp_output = .FALSE.
-
-    REAL(wp)    ::  clip_dvrp_l = 9999999.9_wp, clip_dvrp_n = 9999999.9_wp, &
-                    clip_dvrp_r = 9999999.9_wp, clip_dvrp_s = 9999999.9_wp, &
-                    superelevation = 1.0_wp, superelevation_x = 1.0_wp,     &
-                    superelevation_y = 1.0_wp, vc_alpha = 38.0_wp
-
-    REAL(wp), DIMENSION(2) ::  color_interval = (/ 0.0_wp, 1.0_wp /), &
-                               dvrpsize_interval = (/ 0.0_wp, 1.0_wp /)
-
-    REAL(wp), DIMENSION(3) ::  groundplate_color = (/ 0.0_wp, 0.6_wp, 0.0_wp /), &
-                               topography_color = (/ 0.8_wp, 0.7_wp, 0.6_wp /)
-
-    REAL(wp), DIMENSION(2,10)     ::  slicer_range_limits_dvrp
-
-    REAL(wp), DIMENSION(3,10)     ::  isosurface_color
-
-    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp,                       &
-                                   interval_values_dvrp_prt, interval_h_dvrp,  &
-                                   interval_h_dvrp_prt, interval_l_dvrp = 0.5_sp, &
-                                   interval_l_dvrp_prt = 0.5_sp, interval_s_dvrp = 1.0_sp, &
-                                   interval_s_dvrp_prt = 1.0_sp, interval_a_dvrp = 0.0_sp, &
-                                   interval_a_dvrp_prt = 0.0_sp
-
-    DATA  slicer_range_limits_dvrp / -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
+    CHARACTER (LEN=80) ::  dvrp_directory = 'default'                     !< 
+    CHARACTER (LEN=80) ::  dvrp_file      = 'default'                     !< 
+    CHARACTER (LEN=80) ::  dvrp_host      = 'origin.rvs.uni-hannover.de'  !< 
+    CHARACTER (LEN=80) ::  dvrp_password  = '********'                    !< 
+    CHARACTER (LEN=80) ::  dvrp_username  = ' '                           !< 
+
+    INTEGER(iwp) ::  cluster_size = 1                   !< 
+    INTEGER(iwp) ::  dvrp_colortable_entries = 4        !< 
+    INTEGER(iwp) ::  dvrp_colortable_entries_prt = 22   !< 
+    INTEGER(iwp) ::  islice_dvrp                        !< 
+    INTEGER(iwp) ::  nx_dvrp                            !< 
+    INTEGER(iwp) ::  nxl_dvrp                           !< 
+    INTEGER(iwp) ::  nxr_dvrp                           !< 
+    INTEGER(iwp) ::  ny_dvrp                            !< 
+    INTEGER(iwp) ::  nyn_dvrp                           !< 
+    INTEGER(iwp) ::  nys_dvrp                           !< 
+    INTEGER(iwp) ::  nz_dvrp, pathlines_fadeintime = 5  !< 
+    INTEGER(iwp) ::  pathlines_fadeouttime = 5          !< 
+    INTEGER(iwp) ::  pathlines_linecount = 1000         !< 
+    INTEGER(iwp) ::  pathlines_maxhistory = 40          !< 
+    INTEGER(iwp) ::  pathlines_wavecount = 10           !< 
+    INTEGER(iwp) ::  pathlines_wavetime = 50            !< 
+    INTEGER(iwp) ::  vc_gradient_normals = 0            !< 
+    INTEGER(iwp) ::  vc_mode = 0                        !< 
+    INTEGER(iwp) ::  vc_size_x = 2                      !< 
+    INTEGER(iwp) ::  vc_size_y = 2                      !< 
+    INTEGER(iwp) ::  vc_size_z = 2                      !< 
+
+    INTEGER(iwp), DIMENSION(10) ::  slicer_position_dvrp  !< 
+
+    LOGICAL ::  cyclic_dvrp = .FALSE.                      !< 
+    LOGICAL ::  dvrp_overlap                               !< 
+    LOGICAL ::  dvrp_total_overlap                         !< 
+    LOGICAL ::  local_dvrserver_running                    !< 
+    LOGICAL ::  lock_steering_update = .FALSE.             !< 
+    LOGICAL ::  use_seperate_pe_for_dvrp_output = .FALSE.  !< 
+
+    REAL(wp) ::  clip_dvrp_l = 9999999.9_wp  !< 
+    REAL(wp) ::  clip_dvrp_n = 9999999.9_wp  !< 
+    REAL(wp) ::  clip_dvrp_r = 9999999.9_wp  !< 
+    REAL(wp) ::  clip_dvrp_s = 9999999.9_wp  !< 
+    REAL(wp) ::  superelevation = 1.0_wp     !< 
+    REAL(wp) ::  superelevation_x = 1.0_wp   !< 
+    REAL(wp) ::  superelevation_y = 1.0_wp   !< 
+    REAL(wp) ::  vc_alpha = 38.0_wp          !< 
+
+    REAL(wp), DIMENSION(2) ::  color_interval = (/ 0.0_wp, 1.0_wp /)     !< 
+    REAL(wp), DIMENSION(2) ::  dvrpsize_interval = (/ 0.0_wp, 1.0_wp /)  !< 
+
+    REAL(wp), DIMENSION(3) ::  groundplate_color = (/ 0.0_wp, 0.6_wp, 0.0_wp /)  !< 
+    REAL(wp), DIMENSION(3) ::  topography_color = (/ 0.8_wp, 0.7_wp, 0.6_wp /)   !< 
+
+    REAL(wp), DIMENSION(2,10) ::  slicer_range_limits_dvrp  !< 
+
+    REAL(wp), DIMENSION(3,10) ::  isosurface_color  !<
+
+    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp          !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp_prt      !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_h_dvrp               !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_h_dvrp_prt           !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_l_dvrp = 0.5_sp      !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_l_dvrp_prt = 0.5_sp  !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_s_dvrp = 1.0_sp      !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_s_dvrp_prt = 1.0_sp  !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_a_dvrp = 0.0_sp      !< 
+    REAL(sp), DIMENSION(2,100) ::  interval_a_dvrp_prt = 0.0_sp  !< 
+
+    DATA  slicer_range_limits_dvrp / -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &  !< 
                                      -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
                                      -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
                                      -1.0_wp, 1.0_wp /
 
-    DATA  isosurface_color / 0.9_wp, 0.9_wp, 0.9_wp,  0.8_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.8_wp, &
+    DATA  isosurface_color / 0.9_wp, 0.9_wp, 0.9_wp,  0.8_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.8_wp, &  !< 
                              0.1_wp, 0.8_wp, 0.1_wp,  0.6_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.6_wp, &
                              0.1_wp, 0.6_wp, 0.1_wp,  0.4_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.4_wp, &
                              0.1_wp, 0.4_wp, 0.1_wp /
 
-    DATA  interval_h_dvrp / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &
+    DATA  interval_h_dvrp / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &  !< 
                             25.0_wp, -25.0_wp, 192 * 0.0_wp /
 
-    DATA  interval_h_dvrp_prt / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &
+    DATA  interval_h_dvrp_prt / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &  !< 
                                 25.0_wp, -25.0_wp, 192 * 0.0_wp /
 
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp, ycoor_dvrp, zcoor_dvrp
+    REAL(sp), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp  !< 
+    REAL(sp), DIMENSION(:), ALLOCATABLE ::  ycoor_dvrp  !< 
+    REAL(sp), DIMENSION(:), ALLOCATABLE ::  zcoor_dvrp  !< 
 
     TYPE steering
-       CHARACTER (LEN=24) ::  name
-       REAL(sp)           ::  min, max
-       INTEGER(iwp)       ::  imin, imax
+       CHARACTER (LEN=24) ::  name  !<
+       REAL(sp)           ::  min   !<
+       REAL(sp)           ::  max   !<
+       INTEGER(iwp)       ::  imin  !<
+       INTEGER(iwp)       ::  imax  !<
     END TYPE steering
 
-    TYPE(steering), DIMENSION(:), ALLOCATABLE ::  steering_dvrp
+    TYPE(steering), DIMENSION(:), ALLOCATABLE ::  steering_dvrp  !< 
 
     SAVE
@@ -1018,13 +1511,33 @@
     USE kinds
 
-    REAL(wp) ::  ddx, ddx2, dx = 1.0_wp, dx2, ddy, ddy2, dy = 1.0_wp, dy2
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ddx2_mg, ddy2_mg
-
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fwxm, fwxp, fwym, fwyp, fxm, fxp,   &
-                                              fym, fyp, wall_e_x, wall_e_y,       &
-                                              wall_u, wall_v, wall_w_x, wall_w_y, &
-                                              zu_s_inner, zw_w_inner
-
+    REAL(wp) ::  ddx          !< 
+    REAL(wp) ::  ddx2         !< 
+    REAL(wp) ::  dx = 1.0_wp  !< 
+    REAL(wp) ::  dx2          !< 
+    REAL(wp) ::  ddy          !< 
+    REAL(wp) ::  ddy2         !< 
+    REAL(wp) ::  dy = 1.0_wp  !< 
+    REAL(wp) ::  dy2          !< 
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ddx2_mg  !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ddy2_mg  !< 
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fwxm        !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fwxp        !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fwym        !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fwyp        !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fxm         !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fxp         !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fym         !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  fyp         !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_e_x    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_e_y    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_u      !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_v      !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_w_x    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  wall_w_y    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  zu_s_inner  !<  
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  zw_w_inner  !< 
+                                              
     SAVE
 
@@ -1041,34 +1554,86 @@
     USE kinds
 
-    INTEGER(iwp) ::  i_left, i_right, j_north, j_south, nbgp = 3, ngp_sums,         &
-                     ngp_sums_ls, nnx, nx = 0, nx_a, nx_o, nxl, nxlg, nxlu, nxr,    &
-                     nxrg, nx_on_file, nny, ny = 0, ny_a, ny_o, nyn, nyng, nys,     &
-                     nysg, nysv, ny_on_file, nnz, nz = 0, nzb, nzb_diff, nzb_max,   &
-                     nzt, nzt_diff
-
-
-    INTEGER(idp), DIMENSION(:), ALLOCATABLE ::      &
-                ngp_3d, ngp_3d_inner   ! need to have 64 bit for grids > 2E9
-
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::                                  &
-                   ngp_2dh, nxl_mg, nxr_mg, nyn_mg, nys_mg, nzt_mg
-
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE :: ngp_2dh_outer, ngp_2dh_s_inner,  &
-                   mg_loc_ind, nzb_diff_s_inner, nzb_diff_s_outer, nzb_diff_u,    &
-                   nzb_diff_v, nzb_inner, nzb_outer, nzb_s_inner, nzb_s_outer,    &
-                   nzb_u_inner, nzb_u_outer, nzb_v_inner, nzb_v_outer,            &
-                   nzb_w_inner, nzb_w_outer
-
-    INTEGER(iwp), DIMENSION(:,:,:), POINTER ::  flags
-
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_0, wall_flags_00
-
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::                       &
-                   wall_flags_1, wall_flags_2, wall_flags_3, wall_flags_4,        &
-                   wall_flags_5, wall_flags_6, wall_flags_7, wall_flags_8,        &
-                   wall_flags_9, wall_flags_10
-
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rflags_s_inner, rflags_invers
+    INTEGER(iwp) ::  i_left       !< 
+    INTEGER(iwp) ::  i_right      !< 
+    INTEGER(iwp) ::  j_north      !< 
+    INTEGER(iwp) ::  j_south      !< 
+    INTEGER(iwp) ::  nbgp = 3     !< 
+    INTEGER(iwp) ::  ngp_sums     !< 
+    INTEGER(iwp) ::  ngp_sums_ls  !< 
+    INTEGER(iwp) ::  nnx          !< 
+    INTEGER(iwp) ::  nx = 0       !< 
+    INTEGER(iwp) ::  nx_a         !< 
+    INTEGER(iwp) ::  nx_o         !< 
+    INTEGER(iwp) ::  nxl          !< 
+    INTEGER(iwp) ::  nxlg         !< 
+    INTEGER(iwp) ::  nxlu         !< 
+    INTEGER(iwp) ::  nxr          !< 
+    INTEGER(iwp) ::  nxrg         !< 
+    INTEGER(iwp) ::  nx_on_file   !< 
+    INTEGER(iwp) ::  nny          !< 
+    INTEGER(iwp) ::  ny = 0       !< 
+    INTEGER(iwp) ::  ny_a         !< 
+    INTEGER(iwp) ::  ny_o         !< 
+    INTEGER(iwp) ::  nyn          !< 
+    INTEGER(iwp) ::  nyng         !< 
+    INTEGER(iwp) ::  nys          !< 
+    INTEGER(iwp) ::  nysg         !< 
+    INTEGER(iwp) ::  nysv         !< 
+    INTEGER(iwp) ::  ny_on_file   !< 
+    INTEGER(iwp) ::  nnz          !< 
+    INTEGER(iwp) ::  nz = 0       !< 
+    INTEGER(iwp) ::  nzb          !< 
+    INTEGER(iwp) ::  nzb_diff     !< 
+    INTEGER(iwp) ::  nzb_max      !< 
+    INTEGER(iwp) ::  nzt          !< 
+    INTEGER(iwp) ::  nzt_diff     !< 
+
+    INTEGER(idp), DIMENSION(:), ALLOCATABLE ::  ngp_3d        !< 
+    INTEGER(idp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner  !< ! need to have 64 bit for grids > 2E9
+                    
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_2dh  !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxl_mg   !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxr_mg   !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nyn_mg   !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nys_mg   !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nzt_mg   !< 
+
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer     !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner   !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  mg_loc_ind        !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_diff_s_inner  !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_diff_s_outer  !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_diff_u        !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_diff_v        !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_inner         !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_outer         !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_s_inner       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_s_outer       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_u_inner       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_u_outer       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_v_inner       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_v_outer       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_w_inner       !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_w_outer       !< 
+
+    INTEGER(iwp), DIMENSION(:,:,:), POINTER ::  flags  !<
+
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_0   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_00  !< 
+
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_1   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_2   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_3   !<
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_4   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_5   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_6   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_7   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_8   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_9   !< 
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_10  !< 
+
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rflags_s_inner  !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rflags_invers   !< 
 
     SAVE
@@ -1096,11 +1661,17 @@
           USE kinds
 
-          CHARACTER (LEN=*), INTENT(IN)      ::  mode
-          INTEGER(iwp), INTENT(IN)           ::  i1, i2, j1, j2, k1, k2
-          INTEGER(iwp)                       ::  wert_ijk(3)
-          INTEGER(iwp), OPTIONAL             ::  wert1_ijk(3)
-          REAL(wp)                           ::  offset, wert
-          REAL(wp), OPTIONAL                 ::  wert1
-          REAL(wp), INTENT(IN)               ::  feld(i1:i2,j1:j2,k1:k2)
+          CHARACTER (LEN=*), INTENT(IN) ::  mode                     !< 
+          INTEGER(iwp), INTENT(IN)      ::  i1                       !< 
+          INTEGER(iwp), INTENT(IN)      ::  i2                       !< 
+          INTEGER(iwp), INTENT(IN)      ::  j1                       !< 
+          INTEGER(iwp), INTENT(IN)      ::  j2                       !< 
+          INTEGER(iwp), INTENT(IN)      ::  k1                       !< 
+          INTEGER(iwp), INTENT(IN)      ::  k2                       !<  
+          INTEGER(iwp)                  ::  wert_ijk(3)              !< 
+          INTEGER(iwp), OPTIONAL        ::  wert1_ijk(3)             !<  
+          REAL(wp)                      ::  offset                   !< 
+          REAL(wp)                      ::  wert                     !< 
+          REAL(wp), OPTIONAL            ::  wert1                    !< 
+          REAL(wp), INTENT(IN)          ::  feld(i1:i2,j1:j2,k1:k2)  !< 
 
        END SUBROUTINE global_min_max
@@ -1132,14 +1703,13 @@
           USE kinds
 
-          CHARACTER (LEN=*), INTENT(IN)   ::  sk_char
+          CHARACTER (LEN=*), INTENT(IN) ::  sk_char  !< 
 #if defined( __nopointer )
-          REAL(wp), DIMENSION(:,:,:) ::  sk
+          REAL(wp), DIMENSION(:,:,:) ::  sk  !< 
 #else
-          REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
+          REAL(wp), DIMENSION(:,:,:), POINTER ::  sk  !< 
 #endif
        END SUBROUTINE advec_s_bc
 
     END INTERFACE
-
 
     SAVE
@@ -1157,19 +1727,46 @@
     USE kinds
 
-    INTEGER(iwp) ::  current_timestep_number_1d = 0, damp_level_ind_1d
-
-    LOGICAL ::  run_control_header_1d = .FALSE., stop_dt_1d = .FALSE. 
-
-    REAL(wp) ::     damp_level_1d = -1.0_wp, dt_1d = 60.0_wp, dt_max_1d = 300.0_wp, &
-                    dt_pr_1d = 9999999.9_wp, dt_run_control_1d = 60.0_wp, &
-                    end_time_1d = 864000.0_wp, old_dt_1d = 1.0E-10_wp, &
-                    qs1d, simulated_time_1d = 0.0_wp, time_pr_1d = 0.0_wp, &
-                    time_run_control_1d = 0.0_wp, ts1d, us1d, usws1d, &
-                    vsws1d, z01d, z0h1d
-
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  e1d, e1d_p, kh1d, km1d, l_black, l1d,  &
-                                            rif1d, te_e, te_em, te_u, te_um, te_v, &
-                                            te_vm, u1d, u1d_p, v1d, v1d_p
+    INTEGER(iwp) ::  current_timestep_number_1d = 0  !< 
+    INTEGER(iwp) ::  damp_level_ind_1d               !< 
+
+    LOGICAL ::  run_control_header_1d = .FALSE.  !< 
+    LOGICAL ::  stop_dt_1d = .FALSE.             !< 
+
+    REAL(wp) ::  damp_level_1d = -1.0_wp       !< 
+    REAL(wp) ::  dt_1d = 60.0_wp               !< 
+    REAL(wp) ::  dt_max_1d = 300.0_wp          !< 
+    REAL(wp) ::  dt_pr_1d = 9999999.9_wp       !< 
+    REAL(wp) ::  dt_run_control_1d = 60.0_wp   !< 
+    REAL(wp) ::  end_time_1d = 864000.0_wp     !< 
+    REAL(wp) ::  old_dt_1d = 1.0E-10_wp        !< 
+    REAL(wp) ::  qs1d                          !< 
+    REAL(wp) ::  simulated_time_1d = 0.0_wp    !< 
+    REAL(wp) ::  time_pr_1d = 0.0_wp           !< 
+    REAL(wp) ::  time_run_control_1d = 0.0_wp  !< 
+    REAL(wp) ::  ts1d                          !< 
+    REAL(wp) ::  us1d                          !< 
+    REAL(wp) ::  usws1d                        !< 
+    REAL(wp) ::  vsws1d                        !<               
+    REAL(wp) ::  z01d                          !< 
+    REAL(wp) ::  z0h1d                         !< 
+
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  e1d      !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  e1d_p    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  kh1d     !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  km1d     !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  l_black  !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  l1d      !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  rif1d    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_e     !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_em    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_u     !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_um    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_v     !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  te_vm    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  u1d      !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  u1d_p    !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  v1d      !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  v1d_p    !< 
 
     SAVE
@@ -1200,46 +1797,86 @@
     CHARACTER(LEN=2) ::  send_receive = 'al'
     CHARACTER(LEN=7) ::  myid_char = ''
-    INTEGER(iwp)     ::  acc_rank, comm1dx, comm1dy, comm2d, comm_inter,       &
-                         comm_palm, id_inflow = 0,                             &
-                         id_outflow = 0,        & !< myidx of procs at outflow (turbulent outflow method)
-                         id_outflow_source = 0, & !< myidx of procs including ouflow source plane (turbulent outflow method)
-                         id_recycling = 0, ierr,                               &
-                         myid = 0, myidx = 0, myidy = 0, ndim = 2, ngp_a,      &
-                         ngp_o, ngp_xy, ngp_y, npex = -1, npey = -1,           &
-                         numprocs = 1, numprocs_previous_run = -1,             &
-                         num_acc_per_node = 0, pleft, pnorth, pright, psouth,  &
-                         req_count = 0, sendrecvcount_xy, sendrecvcount_yz,    &
-                         sendrecvcount_zx, sendrecvcount_zyd,                  &
-                         sendrecvcount_yxd, target_id, tasks_per_node = -9999, &
-                         threads_per_task = 1, type_x, type_xy,    &
-                         type_y
-
-    INTEGER(iwp)          ::  pdims(2) = 1, req(100)
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  hor_index_bounds, &
-                                                  hor_index_bounds_previous_run
-
-    LOGICAL ::  background_communication =.FALSE., collective_wait = .FALSE., &
-                sendrecv_in_background = .FALSE.
+    
+    INTEGER(iwp) ::  acc_rank                    !< 
+    INTEGER(iwp) ::  comm1dx                     !< 
+    INTEGER(iwp) ::  comm1dy                     !< 
+    INTEGER(iwp) ::  comm2d                      !< 
+    INTEGER(iwp) ::  comm_inter                  !< 
+    INTEGER(iwp) ::  comm_palm                   !< 
+    INTEGER(iwp) ::  id_inflow = 0               !< 
+    INTEGER(iwp) ::  id_outflow = 0              !< myidx of procs at outflow (turbulent outflow method)
+    INTEGER(iwp) ::  id_outflow_source = 0       !< myidx of procs including ouflow source plane (turbulent outflow method)
+    INTEGER(iwp) ::  id_recycling = 0            !< 
+    INTEGER(iwp) ::  ierr                        !< 
+    INTEGER(iwp) ::  myid = 0                    !< 
+    INTEGER(iwp) ::  myidx = 0                   !< 
+    INTEGER(iwp) ::  myidy = 0                   !< 
+    INTEGER(iwp) ::  ndim = 2                    !< 
+    INTEGER(iwp) ::  ngp_a                       !<
+    INTEGER(iwp) ::  ngp_o                       !<
+    INTEGER(iwp) ::  ngp_xy                      !< 
+    INTEGER(iwp) ::  ngp_y                       !< 
+    INTEGER(iwp) ::  npex = -1                   !< 
+    INTEGER(iwp) ::  npey = -1                   !< 
+    INTEGER(iwp) ::  numprocs = 1                !< 
+    INTEGER(iwp) ::  numprocs_previous_run = -1  !< 
+    INTEGER(iwp) ::  num_acc_per_node = 0        !< 
+    INTEGER(iwp) ::  pleft                       !< 
+    INTEGER(iwp) ::  pnorth                      !< 
+    INTEGER(iwp) ::  pright                      !< 
+    INTEGER(iwp) ::  psouth                      !< 
+    INTEGER(iwp) ::  req_count = 0               !< 
+    INTEGER(iwp) ::  sendrecvcount_xy            !< 
+    INTEGER(iwp) ::  sendrecvcount_yz            !< 
+    INTEGER(iwp) ::  sendrecvcount_zx            !< 
+    INTEGER(iwp) ::  sendrecvcount_zyd           !< 
+    INTEGER(iwp) ::  sendrecvcount_yxd           !< 
+    INTEGER(iwp) ::  target_id                   !< 
+    INTEGER(iwp) ::  tasks_per_node = -9999      !< 
+    INTEGER(iwp) ::  threads_per_task = 1        !< 
+    INTEGER(iwp) ::  type_x                      !< 
+    INTEGER(iwp) ::  type_xy                     !< 
+    INTEGER(iwp) ::  type_y                      !< 
+
+    INTEGER(iwp) ::  pdims(2) = 1  !< 
+    INTEGER(iwp) ::  req(100)      !< 
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  hor_index_bounds               !< 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  hor_index_bounds_previous_run  !< 
+
+    LOGICAL ::  background_communication =.FALSE.  !< 
+    LOGICAL ::  collective_wait = .FALSE.          !< 
+    LOGICAL ::  sendrecv_in_background = .FALSE.   !< 
 
 #if defined( __parallel )
 #if defined( __mpi2 )
-    CHARACTER (LEN=MPI_MAX_PORT_NAME) ::  port_name
+    CHARACTER (LEN=MPI_MAX_PORT_NAME) ::  port_name  !< 
 #endif
 
-    INTEGER(iwp) ::  ibuf(12), pcoord(2)
-    INTEGER(iwp) ::  status(MPI_STATUS_SIZE)
-    INTEGER(iwp), DIMENSION(MPI_STATUS_SIZE,100) ::  wait_stat
-
-    INTEGER(iwp) :: ngp_yz_int, type_xz_int, type_yz_int
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_xz, ngp_yz, type_x_int,    &
-                                                type_xz, type_y_int, type_yz
-
-    LOGICAL ::  left_border_pe  = .FALSE., north_border_pe = .FALSE., &
-                reorder = .TRUE., right_border_pe = .FALSE.,          &
-                south_border_pe = .FALSE.
-
-    LOGICAL, DIMENSION(2) ::  cyclic = (/ .TRUE. , .TRUE. /), &
-                              remain_dims
+    INTEGER(iwp) ::  ibuf(12)                 !< 
+    INTEGER(iwp) ::  pcoord(2)                !< 
+    INTEGER(iwp) ::  status(MPI_STATUS_SIZE)  !< 
+    
+    INTEGER(iwp), DIMENSION(MPI_STATUS_SIZE,100) ::  wait_stat  !< 
+    
+    INTEGER(iwp) ::  ngp_yz_int   !< 
+    INTEGER(iwp) ::  type_xz_int  !< 
+    INTEGER(iwp) ::  type_yz_int  !< 
+
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_xz      !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_yz      !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_x_int  !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_xz     !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_y_int  !< 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_yz     !< 
+
+    LOGICAL ::  left_border_pe  = .FALSE.  !< 
+    LOGICAL ::  north_border_pe = .FALSE.  !< 
+    LOGICAL ::  reorder = .TRUE.           !< 
+    LOGICAL ::  right_border_pe = .FALSE.  !< 
+    LOGICAL ::  south_border_pe = .FALSE.  !< 
+
+    LOGICAL, DIMENSION(2) ::  cyclic = (/ .TRUE. , .TRUE. /)  !< 
+    LOGICAL, DIMENSION(2) ::  remain_dims                     !< 
 #endif
 
@@ -1258,7 +1895,7 @@
     USE kinds
 
-    INTEGER(iwp), PARAMETER ::  crmax = 100
-
-    CHARACTER (LEN=20), DIMENSION(20) ::  cross_ts_profiles = &
+    INTEGER(iwp), PARAMETER ::  crmax = 100  !< 
+
+    CHARACTER (LEN=20), DIMENSION(20) ::  cross_ts_profiles = &  !< 
                            (/ ' E E*               ', ' dt                 ', &
                               ' u* w*              ', ' th*                ', &
@@ -1269,5 +1906,5 @@
                             ( '                    ', i9 = 1, 9 ) /)
 
-    CHARACTER (LEN=100), DIMENSION(crmax) ::  cross_profiles = &
+    CHARACTER (LEN=100), DIMENSION(crmax) ::  cross_profiles = &  !< 
                            (/ ' u v                           ', &
                               ' pt                            ', &
@@ -1278,24 +1915,28 @@
                          ( '                               ', i9 = 1, 94 ) /)
 
-    INTEGER(iwp) ::  profile_columns = 2, profile_rows = 3, profile_number = 0
-
-    INTEGER(iwp) ::  cross_ts_numbers(crmax,crmax) = 0, &
-                     cross_ts_number_count(crmax) = 0, &
-                     dopr_index(300) = 0, dopr_initial_index(300) = 0, &
-                     dots_crossindex(100) = 0, dots_index(100) = 0
+    INTEGER(iwp) ::  profile_columns = 2  !< 
+    INTEGER(iwp) ::  profile_rows = 3     !< 
+    INTEGER(iwp) ::  profile_number = 0   !< 
+
+    INTEGER(iwp) ::  cross_ts_numbers(crmax,crmax) = 0  !< 
+    INTEGER(iwp) ::  cross_ts_number_count(crmax) = 0   !< 
+    INTEGER(iwp) ::  dopr_index(300) = 0                !< 
+    INTEGER(iwp) ::  dopr_initial_index(300) = 0        !< 
+    INTEGER(iwp) ::  dots_crossindex(100) = 0           !< 
+    INTEGER(iwp) ::  dots_index(100) = 0                !< 
                 
 
-    REAL(wp) ::  cross_ts_uymax(20) = &
+    REAL(wp) ::  cross_ts_uymax(20) = &                    !< 
                              (/ 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
                                 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
                                 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
-                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /),&
-                 cross_ts_uymax_computed(20) = 999.999_wp, &
-                 cross_ts_uymin(20) = &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /)
+    REAL(wp) ::  cross_ts_uymax_computed(20) = 999.999_wp  !< 
+    REAL(wp) ::  cross_ts_uymin(20) = &                    !< 
                              (/ 999.999_wp, 999.999_wp, 999.999_wp,  -5.000_wp, 999.999_wp,   &
                                 999.999_wp,   0.000_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
                                 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
-                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /),&
-                 cross_ts_uymin_computed(20) = 999.999_wp
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /)
+    REAL(wp) ::  cross_ts_uymin_computed(20) = 999.999_wp  !< 
 
     SAVE
